<!DOCTYPE html>
<html lang="en">
<link rel="stylesheet" href="../assets/css/bootstrap.min.css">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title></title>
</head>

<body>
    <div class="container">
        <div class="row" id="products">

        </div>
    </div>
</body>

<script>
    const { ipcRenderer } = require('electron');
    const electron = require('electron');
    const products = document.querySelector('#products');

    ipcRenderer.on('newProduct', (e, newProduct) => {
        let newProductTemplate = /*html*/`
        <div class="col-xs-4 p-2">
            <div class="card text-center">
                <div class="card-header">
                    <h5 class="card-title">
                        ${newProduct.name}
                    </h5>
                </div>
                <div class="card-body">
                    ${newProduct.description}
                    <br/>
                    price: $ ${newProduct.price}
                </div>
                <div class="card-footer">
                    <button class="btn btn-danger btn-sm">
                        DELETE
                    </button>
                </div>
            </div>
        </div>
        `;        

        products.innerHTML+=newProductTemplate;
        const buttons = document.querySelectorAll('.btn.btn-danger');
        buttons.forEach(btn=>{
            btn.addEventListener('click',(e)=>{
                e.target.parentElement.parentElement.parentElement.remove();
            });
        });

        ipcRenderer.on('removeAllProducts',e=>{
            products.innerHTML = "";
        });

    });


</script>

</html>